Discussione:
Internal server error: cosa fare (e cosa aspettarsi - aruba)?
(troppo vecchio per rispondere)
Ovlas
2016-08-13 10:16:13 UTC
Permalink
Raw Message
Ciao a tutti!

Poco fa un amico mi ha avvisato che il sito della nostra associazione
non è più visibile.

Ecco cosa appare sia sull'home page che sulla pagina di login (è un sito
in wordpress):

Internal Server Error
The server encountered an internal error or misconfiguration and was
unable to complete your request.
Please contact the server administrator, ***@yoga-kundalini.it
and inform them of the time the error occurred, and anything you might
have done that may have caused the error.
More information about this error may be available in the server error log.

Altre volte avevamo risolto ripristinando i permessi, ma questa volta
non ne vuole sapere.

Sulle faq di aruba si diceva di aggiungere un paio di righe al file
wp-config ma nemmeno questo ha funzionato.

Ora ho aperto un ticket per l'assistenza... speriamo bene (secondo la
vostra esperienza quanto possono impiegare per risolvere?).

Vorrei, per curiosità, fare due domande:

- cosa può generare questo errore così all'improvviso (so con certezza,
a meno di intrusioni "strane", che nessuno ha lavorato sul sito negli
ultimi 7-10 giorni e il sito era normalmente funzionante)?

- cosa può comportare aggiornare la versione di php (quella in uso ora
la 5.3.29) all'ultima (se non erro mi pare sia possibile scegliere la 5.6)?

Grazie in anticipo per qualsiasi indicazione!
--
Ovlas
Alessandro Pellizzari
2016-08-13 10:24:49 UTC
Permalink
Raw Message
Internal Server Error The server encountered an internal error or
- cosa può generare questo errore così all'improvviso (so con certezza,
a meno di intrusioni "strane", che nessuno ha lavorato sul sito negli
ultimi 7-10 giorni e il sito era normalmente funzionante)?
È un errore troppo generico. Dovresti scaricare i log e vedere l'errore
vero.
- cosa può comportare aggiornare la versione di php (quella in uso ora
la 5.3.29) all'ultima (se non erro mi pare sia possibile scegliere la 5.6)?
La 5.3 è morta da almeno 2 anni. Non riceve più aggiornamenti, nemmeno di
sicurezza.

Vi conviene in ogni caso passare almeno alla 5.6, ed eventualmente
risolvere i problemi che possono nascere con Wordpress.

Bye.
Ovlas
2016-08-13 10:40:57 UTC
Permalink
Raw Message
Post by Alessandro Pellizzari
Internal Server Error The server encountered an internal error or
- cosa può generare questo errore così all'improvviso (so con certezza,
a meno di intrusioni "strane", che nessuno ha lavorato sul sito negli
ultimi 7-10 giorni e il sito era normalmente funzionante)?
È un errore troppo generico. Dovresti scaricare i log e vedere l'errore
vero.
Da dove?
Post by Alessandro Pellizzari
- cosa può comportare aggiornare la versione di php (quella in uso ora
la 5.3.29) all'ultima (se non erro mi pare sia possibile scegliere la 5.6)?
La 5.3 è morta da almeno 2 anni. Non riceve più aggiornamenti, nemmeno di
sicurezza.
Vi conviene in ogni caso passare almeno alla 5.6, ed eventualmente
risolvere i problemi che possono nascere con Wordpress.
Grazie per il suggerimento. Pensi sia opportuno farlo subito o è meglio
aspettare che i tecnici-aruba diano seguito al ticket (le due cose
possono interferire tra loro?)?
--
Ovlas
Ovlas
2016-08-13 11:50:21 UTC
Permalink
Raw Message
Post by Ovlas
Post by Alessandro Pellizzari
È un errore troppo generico. Dovresti scaricare i log e vedere l'errore
vero.
Da dove?
Ho trovato nel pannello di gestione dell'hosting linux un riquadro
"Mostra log degli errori" ma cliccando lì si apre una finestra " Ultime
linee di log contenenti errori" ma sotto è vuota, completamente bianca :-\
--
Ovlas
guidorubino
2016-08-13 11:48:03 UTC
Permalink
Raw Message
Post by Ovlas
Sulle faq di aruba si diceva di aggiungere un paio di righe al file
wp-config ma nemmeno questo ha funzionato.
quello serve per evitare l'errore all'aggiornamento di wordpress, non
della versione php
Post by Ovlas
Ora ho aperto un ticket per l'assistenza... speriamo bene (secondo la
vostra esperienza quanto possono impiegare per risolvere?).
Non so rispondere alle tue domande ora, ma prova ripristinare le vecchia
versione di php, tanto per far toranre visibile il sito (dovrebbe
funzionare), poi vediamo che dice la loro assistenza la riguardo...
--
. Guidorubino.com
Ovlas
2016-08-13 12:05:18 UTC
Permalink
Raw Message
Post by guidorubino
Non so rispondere alle tue domande ora, ma prova ripristinare le vecchia
versione di php, tanto per far toranre visibile il sito (dovrebbe
funzionare), poi vediamo che dice la loro assistenza la riguardo...
Siccome già era "alla vecchia versione", ho provato ad aggiornare
all'ultima (5.6.19) e ora funziona... boh...
--
Ovlas
guidorubino
2016-08-13 12:07:51 UTC
Permalink
Raw Message
Post by Ovlas
Post by guidorubino
Non so rispondere alle tue domande ora, ma prova ripristinare le vecchia
versione di php, tanto per far toranre visibile il sito (dovrebbe
funzionare), poi vediamo che dice la loro assistenza la riguardo...
Siccome già era "alla vecchia versione", ho provato ad aggiornare
all'ultima (5.6.19) e ora funziona... boh...
ho fatto una prova sul mio sito (in firma) che era alla 5.2. Stessi
problemi che hai detto.
Tornando indietro funzionava.. ora ho settato il php.ini su "joomla" e
funziona...
--
. Guidorubino.com
ciccio
2016-08-13 12:44:36 UTC
Permalink
Raw Message
Post by guidorubino
Post by Ovlas
Post by guidorubino
Non so rispondere alle tue domande ora, ma prova ripristinare le vecchia
versione di php, tanto per far toranre visibile il sito (dovrebbe
funzionare), poi vediamo che dice la loro assistenza la riguardo...
Siccome già era "alla vecchia versione", ho provato ad aggiornare
all'ultima (5.6.19) e ora funziona... boh...
ho fatto una prova sul mio sito (in firma) che era alla 5.2. Stessi
problemi che hai detto.
Tornando indietro funzionava.. ora ho settato il php.ini su "joomla" e
funziona...
cmq vi conviene sempre aggiornare PHP all'ultima versione.

Con Aruba nel pannello amministrazione Linux c'è un comodo
pannello che permette la scelta della versione.
Ovlas
2016-08-13 13:11:28 UTC
Permalink
Raw Message
Post by ciccio
Con Aruba nel pannello amministrazione Linux c'è un comodo
pannello che permette la scelta della versione.
Si, l'ho fatto da lì (prima avevo anche provato a settare il php.ini per
wordpress ma non aveva risolto il problema).

Quel che rimane un mistero per me è la ragione per cui è uscito dal
nulla questo problema... boh...
--
Ovlas
Ovlas
2016-08-17 09:47:33 UTC
Permalink
Raw Message
Post by Ovlas
Si, l'ho fatto da lì (prima avevo anche provato a settare il php.ini per
wordpress ma non aveva risolto il problema).
Quel che rimane un mistero per me è la ragione per cui è uscito dal
nulla questo problema... boh...
Aggiunta: oggi è successa la stessa cosa a una mia amica.
Le ho detto di controllare la versione di PHP che utilizzava e, una
volta settata sulla più recente disponibile, tutto è tornato alla normalità.
--
Ovlas
Loading...